## mingw-w64-qt6-base-6.10.0-2.src.tar.zst

=== examples/corelib/mimetypes/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt6::Widgets)
    qt_internal_add_example(mimetypebrowser)
endif()
