=== tests/auto/other/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(TARGET Qt::Widgets)
    add_subdirectory(gestures)
    add_subdirectory(languagechange)
    add_subdirectory(qfocusevent)
    add_subdirectory(qsharedpointer_and_qwidget)
    # add_subdirectory(windowsmobile) <- does not exist
endif()
if(TARGET Qt::Network AND TARGET Qt::Widgets)
    add_subdirectory(qnetworkaccessmanager_and_qprogressdialog)
endif()
if(MACOS AND TARGET Qt::Gui AND TARGET Qt::Widgets)
    add_subdirectory(macgui)
    add_subdirectory(macplist)
    add_subdirectory(qaccessibilitymac)
endif()
if(TARGET Qt::Network)
    add_subdirectory(networkselftest)
endif()
if(QT_FEATURE_accessibility AND TARGET Qt::Gui AND TARGET Qt::Widgets)
    add_subdirectory(qaccessibility)
endif()
if(TARGET Qt::Gui)
    add_subdirectory(qcomplextext)
endif()
add_subdirectory(qobjectrace)
add_subdirectory(toolsupport)
# QTBUG-87670
if(QT_FEATURE_process AND TARGET Qt::Gui AND NOT ANDROID)
    add_subdirectory(qprocess_and_guieventloop)
endif()
if(QT_FEATURE_accessibility_atspi_bridge AND TARGET Qt::Gui AND TARGET Qt::Widgets)
    #add_subdirectory(qaccessibilitylinux) # TODO: This test is broken
endif()
if(MACOS AND TARGET Qt::Gui)
    # add_subdirectory(macnativeevents) # TODO: it's disabled in qmake too
endif()
if(embedded)
    add_subdirectory(qdirectpainter)
endif()
if(QT_FEATURE_xkbcommon AND TARGET Qt::Gui)
    add_subdirectory(xkbkeyboard)
endif()

if(ANDROID AND QT_BUILD_STANDALONE_TESTS)
    add_subdirectory(android)
endif()
