=== tests/auto/concurrent/qtconcurrentiteratekernel/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qtconcurrentiteratekernel Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qtconcurrentiteratekernel LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qtconcurrentiteratekernel
    SOURCES
        tst_qtconcurrentiteratekernel.cpp
    LIBRARIES
        Qt::Concurrent
)
