=== tests/auto/corelib/io/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# There is no mounted filesystem for IO testing on INTEGRITY yet.
if(INTEGRITY)
    return()
endif()

if(QT_FEATURE_private_tests)
    add_subdirectory(qabstractfileengine)
    add_subdirectory(qfileinfo)
    add_subdirectory(qipaddress)
    add_subdirectory(qloggingregistry)
    add_subdirectory(qurlinternal)
endif()
add_subdirectory(qbuffer)
add_subdirectory(qdataurl)
add_subdirectory(qdiriterator)
add_subdirectory(qdirlisting)
add_subdirectory(qfile)
add_subdirectory(largefile)
add_subdirectory(qfileselector)
add_subdirectory(qfilesystemmetadata)
add_subdirectory(qloggingcategory)
add_subdirectory(qnodebug)
add_subdirectory(qsavefile)
add_subdirectory(qstandardpaths)
if(NOT QNX AND NOT VXWORKS)
    add_subdirectory(qstorageinfo)
endif()
add_subdirectory(qtemporarydir)
add_subdirectory(qtemporaryfile)
add_subdirectory(qurlquery)
add_subdirectory(qurluts46)
if(TARGET Qt::Concurrent)
    if(NOT INTEGRITY)
        add_subdirectory(qdebug)
    endif()
    add_subdirectory(qlockfile)
    add_subdirectory(qurl)
endif()
if(NOT ANDROID)
    add_subdirectory(qdir)
    add_subdirectory(qresourceengine)
endif()
if(QT_FEATURE_private_tests)
    add_subdirectory(qfilesystementry)
endif()
# QTBUG-88508
if(QT_FEATURE_filesystemwatcher AND NOT ANDROID)
    add_subdirectory(qfilesystemwatcher)
endif()
if(TARGET Qt::Network)
    add_subdirectory(qiodevice)
endif()
if(QT_FEATURE_process AND TARGET Qt::Network AND NOT ANDROID)
    add_subdirectory(qprocess)
endif()
if(QT_FEATURE_process)
    add_subdirectory(qprocess-noapplication)
endif()
if(QT_FEATURE_processenvironment)
    add_subdirectory(qprocessenvironment)
endif()
if(QT_FEATURE_settings AND TARGET Qt::Gui)
    add_subdirectory(qsettings)
endif()
if(QT_FEATURE_private_tests)
    add_subdirectory(qzip)
endif()
