=== tests/auto/corelib/mimetypes/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(QT_FEATURE_private_tests)
    add_subdirectory(qmimetype)
endif()
add_subdirectory(qmimedatabase)
